### Function

# Soup MessageHeadersForeachFunc

#### Declaration

    void
    (* SoupMessageHeadersForeachFunc) (
      const char* name,
      const char* value,
      gpointer user_data
    )

#### Description [src]

The callback passed to `soup_message_headers_foreach()`.

#### Parameters

`name`

  Type: `const char*`

  The header name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const char*`

  The header value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  The data passed to `soup_message_headers_foreach()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.